Package org.eclipse.net4j.util.io

# Class IStreamWrapper.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.io.IStreamWrapper.Factory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Direct Known Subclasses:
  `GZIPStreamWrapper.Factory`

Enclosing interface:
  `IStreamWrapper`

public abstract static class IStreamWrapper.Factory extends Factory

Since:
  3.6
Author:
  Esteban Dugueperoux

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`abstract IStreamWrapper`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory(String type)

## Method Details

### create

public abstract IStreamWrapper create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`